API Explorer 936 endpoints

Delete Branch

DELETE /obp/v7.0.0/banks/BANK_ID/branches/BRANCH_ID

OBPv3.1.0-deleteBranch Roles: CanDeleteBranch(per bank),CanDeleteBranchAtAnyBank Branch

Delete Branch from given Bank.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

BRANCH_ID: DERBY6

JSON response body fields (0)
Possible errors (5)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-30218: Insufficient authorisation to Create Branch. You do not have the role CanCreateBranch.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv3.1.0 deleteBranch Originally /obp/v3.1.0/banks/BANK_ID/branches/BRANCH_ID